%global with_doc %{!?_without_doc:1}%{?_without_doc:0}
%global with_trans %{!?_without_trans:1}%{?_without_trans:0}

%global release_name juno
%global milestone rc2

Name:             openstack-nova
Version:          2014.2.3
Release:          42%{?dist}
Summary:          OpenStack Compute (nova)

Group:            Applications/System
License:          ASL 2.0
URL:              http://openstack.org/projects/compute/
Source0:          http://launchpad.net/nova/%{release_name}/%{version}/+download/nova-%{version}.tar.gz

Source1:          nova-dist.conf
Source2:          nova.conf.sample
Source6:          nova.logrotate

Source10:         openstack-nova-api.service
Source11:         openstack-nova-cert.service
Source12:         openstack-nova-compute.service
Source13:         openstack-nova-network.service
Source14:         openstack-nova-objectstore.service
Source15:         openstack-nova-scheduler.service
Source18:         openstack-nova-xvpvncproxy.service
Source19:         openstack-nova-console.service
Source20:         openstack-nova-consoleauth.service
Source25:         openstack-nova-metadata-api.service
Source26:         openstack-nova-conductor.service
Source27:         openstack-nova-cells.service
Source28:         openstack-nova-spicehtml5proxy.service
Source29:         openstack-nova-novncproxy.service
Source31:         openstack-nova-serialproxy.service

Source21:         nova-polkit.pkla
Source23:         nova-polkit.rules
Source22:         nova-ifc-template
Source24:         nova-sudoers
Source30:         openstack-nova-novncproxy.sysconfig

#
# patches_base=+9
#
Patch0001: 0001-remove-runtime-dep-on-python-pbr.patch
Patch0002: 0002-Move-notification-point-to-a-better-place.patch
Patch0003: 0003-Introduce-a-.z-version-element-for-backportable-obje.patch
Patch0004: 0004-Allow-strategic-loading-of-InstanceExtra-columns.patch
Patch0005: 0005-Remove-VirtNUMAHostTopology.claim_test-method.patch
Patch0006: 0006-Libvirt-normalize-numa-cell-ids.patch
Patch0007: 0007-resource-tracker-Begin-refactor-unit-tests.patch
Patch0008: 0008-Make-resource-tracker-always-use-Flavor-objects.patch
Patch0009: 0009-Stash-CPU-policy-related-extra_spec-in-system_metada.patch
Patch0010: 0010-virt-introduce-types-VirtPageSize-and-VirtPagesTopol.patch
Patch0011: 0011-hardware-introduce-VirtNUMATopologyCellInstance.patch
Patch0012: 0012-hardware-make-cell-instance-topology-to-handle-memor.patch
Patch0013: 0013-object-update-instance-numa-object-to-handle-pagesiz.patch
Patch0014: 0014-objects-remove-VirtPageSize-from-hardware.py.patch
Patch0015: 0015-objects-make-instance-numa-topology-versioned-in-db.patch
Patch0016: 0016-Convert-hardware.VirtCPUTopology-to-nova-object.patch
Patch0017: 0017-hardware-clean-test-to-use-well-defined-fake-flavor.patch
Patch0018: 0018-objects-move-virt-numa-instance-to-objects.patch
Patch0019: 0019-objects-introduce-numa-objects.patch
Patch0020: 0020-objects-move-numa-host-and-cell-to-objects.patch
Patch0021: 0021-libvirt-reuse-defined-method-to-return-instance-numa.patch
Patch0022: 0022-objects-Add-several-complex-field-types.patch
Patch0023: 0023-Adds-NUMA-CPU-Pinning-object-modeling.patch
Patch0024: 0024-Add-CPU-pinning-data-to-InstanceNUMACell-object.patch
Patch0025: 0025-libvirt-un-cruft-_get_guest_numa_config.patch
Patch0026: 0026-Add-methods-for-calculating-CPU-pinning.patch
Patch0027: 0027-Add-cpu-pinning-check-to-numa_fit_instance_to_host.patch
Patch0028: 0028-Make-numa_usage_from_instances-consider-CPU-pinning.patch
Patch0029: 0029-Make-libvirt-driver-expose-sibling-info-in-NUMA-topo.patch
Patch0030: 0030-Make-get_best_cpu_topology-consider-NUMA-topology.patch
Patch0031: 0031-libvirt-Consider-CPU-pinning-when-booting.patch
Patch0032: 0032-Add-method-for-getting-the-CPU-pinning-constraint.patch
Patch0033: 0033-libvirt-introduce-config-to-handle-cells-memory-page.patch
Patch0034: 0034-libvirt-enhance-config-memory-backing-to-handle-huge.patch
Patch0035: 0035-objects-introduce-numa-pages-topology-as-an-object.patch
Patch0036: 0036-objects-fix-changed-fields-for-instance-numa-cell.patch
Patch0037: 0037-libvirt-enhance-to-return-avail-free-pages-on-cells.patch
Patch0038: 0038-hardware-add-method-to-return-requested-memory-page-.patch
Patch0039: 0039-hardware-make-get_constraints-to-return-topology-for.patch
Patch0040: 0040-objects-add-method-to-verify-requested-hugepages.patch
Patch0041: 0041-hardware-determine-whether-a-pagesize-request-is-acc.patch
Patch0042: 0042-Add-instance_group_get_by_instance-to-db.api.patch
Patch0043: 0043-add-InstanceGroup.get_by_instance_uuid.patch
Patch0044: 0044-Check-server-group-policy-on-migrate-evactuate.patch
Patch0045: 0045-support-live-migrations-from-RHOS-5.patch
Patch0046: 0046-libvirt-add-classes-for-emulator-thread-CPU-pinning-.patch
Patch0047: 0047-libvirt-add-classes-for-NUMA-memory-binding-configur.patch
Patch0048: 0048-libvirt-set-NUMA-memory-allocation-policy-for-instan.patch
Patch0049: 0049-libvirt-pin-emulator-threads-to-union-of-vCPU-cpuset.patch
Patch0050: 0050-libvirt-Fix-NUMA-memnode-assignments-to-host-cells.patch
Patch0051: 0051-libvirt-enhance-driver-to-configure-guests-based-on-.patch
Patch0052: 0052-Fix-nova-tests-virt-unittests-failure.patch
Patch0053: 0053-Honor-shared-storage-on-resize-revert.patch
Patch0054: 0054-flavor-fix-unicode-error-with-flavor-name.patch
Patch0055: 0055-Reply-with-a-meaningful-exception-when-ports-are-ove.patch
Patch0056: 0056-hardware-fix-numa-topology-from-image-meta-data.patch
Patch0057: 0057-Add-numa_node-to-PCIDevice-no-DB-migration.patch
Patch0058: 0058-PCI-NUMA-filtering.patch
Patch0059: 0059-Specify-storage-IP-for-iscsi-connector.patch
Patch0060: 0060-libvirt-Enhance-iSCSI-volume-multipath-support.patch
Patch0061: 0061-libvirt-support-live-migration-with-vfat-config-driv.patch
Patch0062: 0062-libvirt-support-live-migration-with-config-drives-on.patch
Patch0063: 0063-libvirt-remove-pointless-loop-after-live-migration-f.patch
Patch0064: 0064-libvirt-proper-monitoring-of-live-migration-progress.patch
Patch0065: 0065-libvirt-fix-emulator-thread-pinning-when-doing-stric.patch
Patch0066: 0066-libvirt-rewrite-NUMA-topology-generator-to-be-more-f.patch
Patch0067: 0067-Remove-pci_device.update_device-helper-function.patch
Patch0068: 0068-Support-both-list-and-dict-for-pci_passthrough_white.patch
Patch0069: 0069-Forbid-booting-of-QCOW2-images-with-virtual_size-roo.patch
Patch0070: 0070-libvirt-clean-instance-s-directory-when-block-migrat.patch
Patch0071: 0071-Clean-up-network_api.get_instance_nw_info.patch
Patch0072: 0072-Consolidate-code-to-get-the-correct-availability-zon.patch
Patch0073: 0073-Invalidate-AZ-cache-when-the-instance-AZ-information.patch
Patch0074: 0074-Pass-correct-context-to-get_by_compute_node.patch
Patch0075: 0075-let-fake-virt-track-resources.patch
Patch0076: 0076-Move-ComputeNode-creation-at-init-stage-in-ResourceT.patch
Patch0077: 0077-Allow-disabling-the-evacuate-cleanup-mechanism-in-co.patch
Patch0078: 0078-VMware-add-VirtualVmxnet3-to-the-supported-network-t.patch
Patch0079: 0079-console-fix-websocketproxy-error-1006.patch
Patch0080: 0080-rbd-use-rbd-snapshots-and-cloning-for-ephemeral-disk.patch
Patch0081: 0081-support-overriding-the-disk-driver-IO-policy.patch
Patch0082: 0082-network-fix-instance-cache-refresh-for-empty-list.patch
Patch0083: 0083-virt-use-instance-object-for-attach-in-block_device.patch
Patch0084: 0084-Create-volume-in-the-same-availability-zone-as-insta.patch
Patch0085: 0085-Reduce-the-complexity-of-_get_guest_config.patch
Patch0086: 0086-libvirt-don-t-pass-a-module-import-into-methods.patch
Patch0087: 0087-libvirt-move-setting-of-clock-out-into-helper-method.patch
Patch0088: 0088-libvirt-add-support-for-hyperv-timer-source-with-win.patch
Patch0089: 0089-libvirt-change-representation-of-guest-features.patch
Patch0090: 0090-libvirt-add-support-for-configuring-hyperv-enlighten.patch
Patch0091: 0091-libvirt-move-setting-of-guest-features-out-into-help.patch
Patch0092: 0092-libvirt-enable-hyperv-enlightenments-for-windows-gue.patch
Patch0093: 0093-Fix-quota-update-in-deleting-when-nova-compute-start.patch
Patch0094: 0094-Fix-noVNC-console-access-for-an-IPv6-setup.patch
Patch0095: 0095-Fix-swap_volumes.patch
Patch0096: 0096-compute-stop-handling-virt-lifecycle-events-in-clean.patch
Patch0097: 0097-Reschedule-queries-to-nova-scheduler-after-a-timeout.patch
Patch0098: 0098-Add-setup-cleanup_instance_network_on_host-api-for-n.patch
Patch0099: 0099-fix-network-setup-on-evacuate.patch
Patch0100: 0100-Make-use_syslog-True-log-to-syslog-via-dev-log.patch
Patch0101: 0101-libvirt-Resize-down-an-instance-booted-from-a-volume.patch
Patch0102: 0102-vfs-guestfs-logging-integration.patch
Patch0103: 0103-Fix-rebuild-of-an-instance-with-a-volume-attached.patch
Patch0104: 0104-Make-pagination-tolerate-a-deleted-marker.patch
Patch0105: 0105-libvirt-Don-t-try-to-confine-a-non-NUMA-instance.patch
Patch0106: 0106-Delete-orphaned-instance-files-from-compute-nodes.patch
Patch0107: 0107-Sync-process-utils-from-oslo-for-execute-callbacks.patch
Patch0108: 0108-libvirt-Kill-rsync-scp-processes-before-deleting-ins.patch
Patch0109: 0109-Add-some-tests-for-the-error-path-s-in-RBD-cleanup_v.patch
Patch0110: 0110-Fixes-_cleanup_rbd-code-to-capture-ImageBusy-excepti.patch
Patch0111: 0111-Save-bdm.connection_info-before-calling-volume_api.a.patch
Patch0112: 0112-Detach-and-terminate-conn-if-Cinder-attach-fails.patch
Patch0113: 0113-Fix-multipath-device-discovery-when-UFN-is-enabled.patch
Patch0114: 0114-Don-t-check-flavor-disk-size-when-booting-from-volum.patch
Patch0115: 0115-Fix-detach_sriov_ports-to-get-context-to-be-able-to-.patch
Patch0116: 0116-make-base-code-pep8-valid.patch
Patch0117: 0117-Add-performant-versions-of-AggregateCoreFilter-and-A.patch
Patch0118: 0118-libvirt-enhance-libvirt-to-set-admin-password.patch
Patch0119: 0119-libvirt-add-os_admin_user-to-use-with-set-admin-pass.patch
Patch0120: 0120-Don-t-expect-meta-attributes-in-object_compat-that-a.patch
Patch0121: 0121-Multipath-commands-with-error-messages-in-stdout-fai.patch
Patch0122: 0122-libvirt-Parse-FCoE-sysfs-device-paths.patch

BuildArch:        noarch
BuildRequires:    intltool
BuildRequires:    python-sphinx
BuildRequires:    python-oslo-sphinx
BuildRequires:    python-setuptools
BuildRequires:    python-netaddr
BuildRequires:    python-pbr
BuildRequires:    python-d2to1
BuildRequires:    python-six
BuildRequires:    python-oslo-i18n

Requires:         openstack-nova-compute = %{version}-%{release}
Requires:         openstack-nova-cert = %{version}-%{release}
Requires:         openstack-nova-scheduler = %{version}-%{release}
Requires:         openstack-nova-api = %{version}-%{release}
Requires:         openstack-nova-network = %{version}-%{release}
Requires:         openstack-nova-objectstore = %{version}-%{release}
Requires:         openstack-nova-conductor = %{version}-%{release}
Requires:         openstack-nova-console = %{version}-%{release}
Requires:         openstack-nova-cells = %{version}-%{release}
Requires:         openstack-nova-novncproxy = %{version}-%{release}


%description
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

%package common
Summary:          Components common to all OpenStack Nova services
Group:            Applications/System

Requires:         python-nova = %{version}-%{release}
Requires:         python-keystonemiddleware
Requires:         python-oslo-rootwrap
Requires:         python-oslo-messaging >= 1.3.0-0.1.a4
Requires:         python-oslo-i18n
Requires:         python-posix_ipc
Requires:         python-rfc3986

Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd
Requires(pre):    shadow-utils
BuildRequires:    systemd

%description common
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains scripts, config and dependencies shared
between all the OpenStack nova services.


%package compute
Summary:          OpenStack Nova Virtual Machine control service
Group:            Applications/System

Requires:         openstack-nova-common = %{version}-%{release}
Requires:         curl
Requires:         iscsi-initiator-utils
Requires:         iptables iptables-ipv6
Requires:         ipmitool
Requires:         python-libguestfs
Requires:         libvirt-python
Requires:         libvirt-daemon-kvm
%if 0%{?rhel}==0
Requires:         libvirt-daemon-lxc
Requires:         libvirt-daemon-uml
%endif
Requires:         openssh-clients
Requires:         rsync
Requires:         lvm2
Requires:         python-cinderclient
Requires(pre):    qemu-kvm
Requires:         genisoimage
Requires:         bridge-utils
Requires:         device-mapper-multipath

%description compute
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova service for controlling Virtual Machines.


%package network
Summary:          OpenStack Nova Network control service
Group:            Applications/System

Requires:         openstack-nova-common = %{version}-%{release}
Requires:         radvd
Requires:         bridge-utils
Requires:         dnsmasq
Requires:         dnsmasq-utils
Requires:         ebtables

%description network
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova service for controlling networking.


%package scheduler
Summary:          OpenStack Nova VM distribution service
Group:            Applications/System

Requires:         openstack-nova-common = %{version}-%{release}

%description scheduler
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the service for scheduling where
to run Virtual Machines in the cloud.


%package cert
Summary:          OpenStack Nova certificate management service
Group:            Applications/System

Requires:         openstack-nova-common = %{version}-%{release}

%description cert
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova service for managing certificates.


%package api
Summary:          OpenStack Nova API services
Group:            Applications/System

Requires:         openstack-nova-common = %{version}-%{release}
Requires:         python-cinderclient

%description api
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova services providing programmatic access.

%package conductor
Summary:          OpenStack Nova Conductor services
Group:            Applications/System

Requires:         openstack-nova-common = %{version}-%{release}

%description conductor
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova services providing database access for
the compute service

%package objectstore
Summary:          OpenStack Nova simple object store service
Group:            Applications/System

Requires:         openstack-nova-common = %{version}-%{release}

%description objectstore
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova service providing a simple object store.


%package console
Summary:          OpenStack Nova console access services
Group:            Applications/System

Requires:         openstack-nova-common = %{version}-%{release}
Requires:         python-websockify

%description console
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova services providing
console access services to Virtual Machines.

%package cells
Summary:          OpenStack Nova Cells services
Group:            Applications/System

Requires:         openstack-nova-common = %{version}-%{release}

%description cells
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova Cells service providing additional
scaling and (geographic) distribution for compute services.

%package novncproxy
Summary:          OpenStack Nova noVNC proxy service
Group:            Applications/System

Requires:         openstack-nova-common = %{version}-%{release}
Requires:         novnc
Requires:         python-websockify


%description novncproxy
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova noVNC Proxy service that can proxy
VNC traffic over browser websockets connections.

%package spicehtml5proxy
Summary:          OpenStack Nova Spice HTML5 console access service
Group:            Applications/System

Requires:         openstack-nova-common = %{version}-%{release}
Requires:         python-websockify

%description spicehtml5proxy
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova services providing the
spice HTML5 console access service to Virtual Machines.

%package serialproxy
Summary:          OpenStack Nova serial console access service
Group:            Applications/System

Requires:         openstack-nova-common = %{version}-%{release}
Requires:         python-websockify

%description serialproxy
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform. It gives you the
software, control panels, and APIs required to orchestrate a cloud,
including running instances, managing networks, and controlling access
through users and projects. OpenStack Compute strives to be both
hardware and hypervisor agnostic, currently supporting a variety of
standard hardware configurations and seven major hypervisors.

This package contains the Nova services providing the
serial console access service to Virtual Machines.

%package -n       python-nova
Summary:          Nova Python libraries
Group:            Applications/System

Requires:         openssl
# Require openssh for ssh-keygen
Requires:         openssh
Requires:         sudo

Requires:         MySQL-python

Requires:         python-paramiko

Requires:         python-eventlet
Requires:         python-greenlet
Requires:         python-iso8601
Requires:         python-netaddr
Requires:         python-lxml
Requires:         python-anyjson
Requires:         python-boto
Requires:         python-cheetah
Requires:         python-ldap
Requires:         python-stevedore

Requires:         python-memcached

Requires:         python-sqlalchemy
Requires:         python-migrate

Requires:         python-paste-deploy
Requires:         python-routes
Requires:         python-webob

Requires:         python-glanceclient >= 1:0
Requires:         python-neutronclient
Requires:         python-novaclient
Requires:         python-oslo-config >= 1:1.2.0
Requires:         python-oslo-db
Requires:         python-oslo-vmware
Requires:         python-pyasn1
Requires:         python-six >= 1.4.1
Requires:         python-babel
Requires:         python-jinja2

%description -n   python-nova
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform.

This package contains the nova Python library.

%if 0%{?with_doc}
%package doc
Summary:          Documentation for OpenStack Compute
Group:            Documentation

BuildRequires:    graphviz

# Required to build module documents
BuildRequires:    python-boto
BuildRequires:    python-eventlet
BuildRequires:    python-routes
BuildRequires:    python-sqlalchemy
BuildRequires:    python-webob
# while not strictly required, quiets the build down when building docs.
BuildRequires:    python-migrate, python-iso8601

%description      doc
OpenStack Compute (codename Nova) is open source software designed to
provision and manage large networks of virtual machines, creating a
redundant and scalable cloud computing platform.

This package contains documentation files for nova.
%endif

%prep
%setup -q -n nova-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1
%patch0036 -p1
%patch0037 -p1
%patch0038 -p1
%patch0039 -p1
%patch0040 -p1
%patch0041 -p1
%patch0042 -p1
%patch0043 -p1
%patch0044 -p1
%patch0045 -p1
%patch0046 -p1
%patch0047 -p1
%patch0048 -p1
%patch0049 -p1
%patch0050 -p1
%patch0051 -p1
%patch0052 -p1
%patch0053 -p1
%patch0054 -p1
%patch0055 -p1
%patch0056 -p1
%patch0057 -p1
%patch0058 -p1
%patch0059 -p1
%patch0060 -p1
%patch0061 -p1
%patch0062 -p1
%patch0063 -p1
%patch0064 -p1
%patch0065 -p1
%patch0066 -p1
%patch0067 -p1
%patch0068 -p1
%patch0069 -p1
%patch0070 -p1
%patch0071 -p1
%patch0072 -p1
%patch0073 -p1
%patch0074 -p1
%patch0075 -p1
%patch0076 -p1
%patch0077 -p1
%patch0078 -p1
%patch0079 -p1
%patch0080 -p1
%patch0081 -p1
%patch0082 -p1
%patch0083 -p1
%patch0084 -p1
%patch0085 -p1
%patch0086 -p1
%patch0087 -p1
%patch0088 -p1
%patch0089 -p1
%patch0090 -p1
%patch0091 -p1
%patch0092 -p1
%patch0093 -p1
%patch0094 -p1
%patch0095 -p1
%patch0096 -p1
%patch0097 -p1
%patch0098 -p1
%patch0099 -p1
%patch0100 -p1
%patch0101 -p1
%patch0102 -p1
%patch0103 -p1
%patch0104 -p1
%patch0105 -p1
%patch0106 -p1
%patch0107 -p1
%patch0108 -p1
%patch0109 -p1
%patch0110 -p1
%patch0111 -p1
%patch0112 -p1
%patch0113 -p1
%patch0114 -p1
%patch0115 -p1
%patch0116 -p1
%patch0117 -p1
%patch0118 -p1
%patch0119 -p1
%patch0120 -p1
%patch0121 -p1
%patch0122 -p1

find . \( -name .gitignore -o -name .placeholder \) -delete

find nova -name \*.py -exec sed -i '/\/usr\/bin\/env python/{d;q}' {} +

sed -i '/setuptools_git/d' setup.py
sed -i s/REDHATNOVAVERSION/%{version}/ nova/version.py
sed -i s/REDHATNOVARELEASE/%{release}/ nova/version.py

# make doc build compatible with python-oslo-sphinx RPM
sed -i 's/oslosphinx/oslo.sphinx/' doc/source/conf.py

# Remove the requirements file so that pbr hooks don't add it
# to distutils requiers_dist config
rm -rf {test-,}requirements.txt tools/{pip,test}-requires

%build
%{__python} setup.py build

install -p -D -m 640 %{SOURCE2} etc/nova/nova.conf.sample

# Avoid http://bugzilla.redhat.com/1059815. Remove when that is closed
sed -i 's|group/name|group;name|; s|\[DEFAULT\]/|DEFAULT;|' etc/nova/nova.conf.sample

# Programmatically update defaults in sample config
# which is installed at /etc/nova/nova.conf

#  First we ensure all values are commented in appropriate format.
#  Since icehouse, there was an uncommented keystone_authtoken section
#  at the end of the file which mimics but also conflicted with our
#  distro editing that had been done for many releases.
sed -i '/^[^#[]/{s/^/#/; s/ //g}; /^#[^ ]/s/ = /=/' etc/nova/nova.conf.sample

#  TODO: Make this more robust
#  Note it only edits the first occurance, so assumes a section ordering in sample
#  and also doesn't support multi-valued variables like dhcpbridge_flagfile.
while read name eq value; do
  test "$name" && test "$value" || continue
  sed -i "0,/^# *$name=/{s!^# *$name=.*!#$name=$value!}" etc/nova/nova.conf.sample
done < %{SOURCE1}

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# docs generation requires everything to be installed first
export PYTHONPATH="$( pwd ):$PYTHONPATH"

pushd doc

%if 0%{?with_doc}
SPHINX_DEBUG=1 sphinx-build -b html source build/html
# Fix hidden-file-or-dir warnings
rm -fr build/html/.doctrees build/html/.buildinfo
%endif

# Create dir link to avoid a sphinx-build exception
mkdir -p build/man/.doctrees/
ln -s .  build/man/.doctrees/man
SPHINX_DEBUG=1 sphinx-build -b man -c source source/man build/man
mkdir -p %{buildroot}%{_mandir}/man1
install -p -D -m 644 build/man/*.1 %{buildroot}%{_mandir}/man1/

popd

# Setup directories
install -d -m 755 %{buildroot}%{_sharedstatedir}/nova
install -d -m 755 %{buildroot}%{_sharedstatedir}/nova/buckets
install -d -m 755 %{buildroot}%{_sharedstatedir}/nova/instances
install -d -m 755 %{buildroot}%{_sharedstatedir}/nova/keys
install -d -m 755 %{buildroot}%{_sharedstatedir}/nova/networks
install -d -m 755 %{buildroot}%{_sharedstatedir}/nova/tmp
install -d -m 755 %{buildroot}%{_localstatedir}/log/nova

# Setup ghost CA cert
install -d -m 755 %{buildroot}%{_sharedstatedir}/nova/CA
install -p -m 755 nova/CA/*.sh %{buildroot}%{_sharedstatedir}/nova/CA
install -p -m 644 nova/CA/openssl.cnf.tmpl %{buildroot}%{_sharedstatedir}/nova/CA
install -d -m 755 %{buildroot}%{_sharedstatedir}/nova/CA/{certs,crl,newcerts,projects,reqs}
touch %{buildroot}%{_sharedstatedir}/nova/CA/{cacert.pem,crl.pem,index.txt,openssl.cnf,serial}
install -d -m 750 %{buildroot}%{_sharedstatedir}/nova/CA/private
touch %{buildroot}%{_sharedstatedir}/nova/CA/private/cakey.pem

# Install config files
install -d -m 755 %{buildroot}%{_sysconfdir}/nova
install -p -D -m 640 %{SOURCE1} %{buildroot}%{_datadir}/nova/nova-dist.conf
install -p -D -m 640 etc/nova/nova.conf.sample  %{buildroot}%{_sysconfdir}/nova/nova.conf
install -p -D -m 640 etc/nova/rootwrap.conf %{buildroot}%{_sysconfdir}/nova/rootwrap.conf
install -p -D -m 640 etc/nova/api-paste.ini %{buildroot}%{_sysconfdir}/nova/api-paste.ini
install -p -D -m 640 etc/nova/policy.json %{buildroot}%{_sysconfdir}/nova/policy.json

# Install version info file
cat > %{buildroot}%{_sysconfdir}/nova/release <<EOF
[Nova]
vendor = Red Hat
product = OpenStack Compute
package = %{release}
EOF

# Install initscripts for Nova services
install -p -D -m 755 %{SOURCE10} %{buildroot}%{_unitdir}/openstack-nova-api.service
install -p -D -m 755 %{SOURCE11} %{buildroot}%{_unitdir}/openstack-nova-cert.service
install -p -D -m 755 %{SOURCE12} %{buildroot}%{_unitdir}/openstack-nova-compute.service
install -p -D -m 755 %{SOURCE13} %{buildroot}%{_unitdir}/openstack-nova-network.service
install -p -D -m 755 %{SOURCE14} %{buildroot}%{_unitdir}/openstack-nova-objectstore.service
install -p -D -m 755 %{SOURCE15} %{buildroot}%{_unitdir}/openstack-nova-scheduler.service
install -p -D -m 755 %{SOURCE18} %{buildroot}%{_unitdir}/openstack-nova-xvpvncproxy.service
install -p -D -m 755 %{SOURCE19} %{buildroot}%{_unitdir}/openstack-nova-console.service
install -p -D -m 755 %{SOURCE20} %{buildroot}%{_unitdir}/openstack-nova-consoleauth.service
install -p -D -m 755 %{SOURCE25} %{buildroot}%{_unitdir}/openstack-nova-metadata-api.service
install -p -D -m 755 %{SOURCE26} %{buildroot}%{_unitdir}/openstack-nova-conductor.service
install -p -D -m 755 %{SOURCE27} %{buildroot}%{_unitdir}/openstack-nova-cells.service
install -p -D -m 755 %{SOURCE28} %{buildroot}%{_unitdir}/openstack-nova-spicehtml5proxy.service
install -p -D -m 755 %{SOURCE29} %{buildroot}%{_unitdir}/openstack-nova-novncproxy.service
install -p -D -m 755 %{SOURCE31} %{buildroot}%{_unitdir}/openstack-nova-serialproxy.service

# Install sudoers
install -p -D -m 440 %{SOURCE24} %{buildroot}%{_sysconfdir}/sudoers.d/nova

# Install logrotate
install -p -D -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/logrotate.d/openstack-nova

# Install pid directory
install -d -m 755 %{buildroot}%{_localstatedir}/run/nova

# Install template files
install -p -D -m 644 nova/cloudpipe/client.ovpn.template %{buildroot}%{_datarootdir}/nova/client.ovpn.template
install -p -D -m 644 %{SOURCE22} %{buildroot}%{_datarootdir}/nova/interfaces.template

# Install rootwrap files in /usr/share/nova/rootwrap
mkdir -p %{buildroot}%{_datarootdir}/nova/rootwrap/
install -p -D -m 644 etc/nova/rootwrap.d/* %{buildroot}%{_datarootdir}/nova/rootwrap/

# Older format. Remove when we no longer want to support Fedora 17 with master branch packages
install -d -m 755 %{buildroot}%{_sysconfdir}/polkit-1/localauthority/50-local.d
install -p -D -m 644 %{SOURCE21} %{buildroot}%{_sysconfdir}/polkit-1/localauthority/50-local.d/50-nova.pkla
# Newer format since Fedora 18
install -d -m 755 %{buildroot}%{_sysconfdir}/polkit-1/rules.d
install -p -D -m 644 %{SOURCE23} %{buildroot}%{_sysconfdir}/polkit-1/rules.d/50-nova.rules

# Install novncproxy service options template
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -p -m 0644 %{SOURCE30} %{buildroot}%{_sysconfdir}/sysconfig/openstack-nova-novncproxy

# Remove unneeded in production stuff
rm -f %{buildroot}%{_bindir}/nova-debug
rm -fr %{buildroot}%{python_sitelib}/nova/tests/
rm -fr %{buildroot}%{python_sitelib}/run_tests.*
rm -f %{buildroot}%{_bindir}/nova-combined
rm -f %{buildroot}/usr/share/doc/nova/README*

%pre common
getent group nova >/dev/null || groupadd -r nova --gid 162
if ! getent passwd nova >/dev/null; then
  useradd -u 162 -r -g nova -G nova,nobody -d %{_sharedstatedir}/nova -s /sbin/nologin -c "OpenStack Nova Daemons" nova
fi
exit 0

%pre compute
usermod -a -G qemu nova
exit 0

%post compute
%systemd_post %{name}-compute.service
%post network
%systemd_post %{name}-network.service
%post scheduler
%systemd_post %{name}-scheduler.service
%post cert
%systemd_post %{name}-cert.service
%post api
%systemd_post %{name}-api.service %{name}-metadata-api.service
%post conductor
%systemd_post %{name}-conductor.service
%post objectstore
%systemd_post %{name}-objectstore.service
%post console
%systemd_post %{name}-console.service %{name}-consoleauth.service %{name}-xvpvncproxy.service
%post cells
%systemd_post %{name}-cells.service
%post novncproxy
%systemd_post %{name}-novncproxy.service
%post spicehtml5proxy
%systemd_post %{name}-spicehtml5proxy.service
%post serialproxy
%systemd_post %{name}-serialproxy.service

%preun compute
%systemd_preun %{name}-compute.service
%preun network
%systemd_preun %{name}-network.service
%preun scheduler
%systemd_preun %{name}-scheduler.service
%preun cert
%systemd_preun %{name}-cert.service
%preun api
%systemd_preun %{name}-api.service %{name}-metadata-api.service
%preun objectstore
%systemd_preun %{name}-objectstore.service
%preun conductor
%systemd_preun %{name}-conductor.service
%preun console
%systemd_preun %{name}-console.service %{name}-consoleauth.service %{name}-xvpvncproxy.service
%preun cells
%systemd_preun %{name}-cells.service
%preun novncproxy
%systemd_preun %{name}-novncproxy.service
%preun spicehtml5proxy
%systemd_preun %{name}-spicehtml5proxy.service
%preun serialproxy
%systemd_preun %{name}-serialproxy.service

%postun compute
%systemd_postun_with_restart %{name}-compute.service
%postun network
%systemd_postun_with_restart %{name}-network.service
%postun scheduler
%systemd_postun_with_restart %{name}-scheduler.service
%postun cert
%systemd_postun_with_restart %{name}-cert.service
%postun api
%systemd_postun_with_restart %{name}-api.service %{name}-metadata-api.service
%postun objectstore
%systemd_postun_with_restart %{name}-objectstore.service
%postun conductor
%systemd_postun_with_restart %{name}-conductor.service
%postun console
%systemd_postun_with_restart %{name}-console.service %{name}-consoleauth.service %{name}-xvpvncproxy.service
%postun cells
%systemd_postun_with_restart %{name}-cells.service
%postun novncproxy
%systemd_postun_with_restart %{name}-novncproxy.service
%postun spicehtml5proxy
%systemd_postun_with_restart %{name}-spicehtml5proxy.service
%postun serialproxy
%systemd_postun_with_restart %{name}-serialproxy.service

%files
%doc LICENSE
%{_bindir}/nova-all

%files common
%doc LICENSE
%dir %{_sysconfdir}/nova
%{_sysconfdir}/nova/release
%attr(-, root, nova) %{_datadir}/nova/nova-dist.conf
%config(noreplace) %attr(-, root, nova) %{_sysconfdir}/nova/nova.conf
%config(noreplace) %attr(-, root, nova) %{_sysconfdir}/nova/api-paste.ini
%config(noreplace) %attr(-, root, nova) %{_sysconfdir}/nova/rootwrap.conf
%config(noreplace) %attr(-, root, nova) %{_sysconfdir}/nova/policy.json
%config(noreplace) %{_sysconfdir}/logrotate.d/openstack-nova
%config(noreplace) %{_sysconfdir}/sudoers.d/nova
%config(noreplace) %{_sysconfdir}/polkit-1/localauthority/50-local.d/50-nova.pkla
%config(noreplace) %{_sysconfdir}/polkit-1/rules.d/50-nova.rules

%dir %attr(0750, nova, root) %{_localstatedir}/log/nova
%dir %attr(0755, nova, root) %{_localstatedir}/run/nova

%{_bindir}/nova-manage
%{_bindir}/nova-rootwrap

%{_datarootdir}/nova
%{_mandir}/man1/nova*.1.gz

%defattr(-, nova, nova, -)
%dir %{_sharedstatedir}/nova
%dir %{_sharedstatedir}/nova/buckets
%dir %{_sharedstatedir}/nova/instances
%dir %{_sharedstatedir}/nova/keys
%dir %{_sharedstatedir}/nova/networks
%dir %{_sharedstatedir}/nova/tmp

%files compute
%{_bindir}/nova-compute
%{_bindir}/nova-baremetal-deploy-helper
%{_bindir}/nova-baremetal-manage
%{_bindir}/nova-idmapshift
%{_unitdir}/openstack-nova-compute.service
%{_datarootdir}/nova/rootwrap/compute.filters

%files network
%{_bindir}/nova-network
%{_bindir}/nova-dhcpbridge
%{_unitdir}/openstack-nova-network.service
%{_datarootdir}/nova/rootwrap/network.filters

%files scheduler
%{_bindir}/nova-scheduler
%{_unitdir}/openstack-nova-scheduler.service

%files cert
%{_bindir}/nova-cert
%{_unitdir}/openstack-nova-cert.service
%defattr(-, nova, nova, -)
%dir %{_sharedstatedir}/nova/CA/
%dir %{_sharedstatedir}/nova/CA/certs
%dir %{_sharedstatedir}/nova/CA/crl
%dir %{_sharedstatedir}/nova/CA/newcerts
%dir %{_sharedstatedir}/nova/CA/projects
%dir %{_sharedstatedir}/nova/CA/reqs
%{_sharedstatedir}/nova/CA/*.sh
%{_sharedstatedir}/nova/CA/openssl.cnf.tmpl
%ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_sharedstatedir}/nova/CA/cacert.pem
%ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_sharedstatedir}/nova/CA/crl.pem
%ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_sharedstatedir}/nova/CA/index.txt
%ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_sharedstatedir}/nova/CA/openssl.cnf
%ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_sharedstatedir}/nova/CA/serial
%dir %attr(0750, -, -) %{_sharedstatedir}/nova/CA/private
%ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_sharedstatedir}/nova/CA/private/cakey.pem

%files api
%{_bindir}/nova-api*
%{_unitdir}/openstack-nova-*api.service
%{_datarootdir}/nova/rootwrap/api-metadata.filters

%files conductor
%{_bindir}/nova-conductor
%{_unitdir}/openstack-nova-conductor.service

%files objectstore
%{_bindir}/nova-objectstore
%{_unitdir}/openstack-nova-objectstore.service

%files console
%{_bindir}/nova-console*
%{_bindir}/nova-xvpvncproxy
%{_unitdir}/openstack-nova-console*.service
%{_unitdir}/openstack-nova-xvpvncproxy.service

%files cells
%{_bindir}/nova-cells
%{_unitdir}/openstack-nova-cells.service

%files novncproxy
%{_bindir}/nova-novncproxy
%{_unitdir}/openstack-nova-novncproxy.service
%config(noreplace) %{_sysconfdir}/sysconfig/openstack-nova-novncproxy

%files spicehtml5proxy
%{_bindir}/nova-spicehtml5proxy
%{_unitdir}/openstack-nova-spicehtml5proxy.service

%files serialproxy
%{_bindir}/nova-serialproxy
%{_unitdir}/openstack-nova-serialproxy.service

%files -n python-nova
%defattr(-,root,root,-)
%doc LICENSE
%{python_sitelib}/nova
%{python_sitelib}/nova-%{version}*.egg-info

%if 0%{?with_doc}
%files doc
%doc LICENSE doc/build/html
%endif

%changelog
* Thu Dec 03 2015 Lee Yarwood <lyarwood@redhat.com> 2014.2.3-42
- libvirt: Parse FCoE sysfs device paths - rhbz#1284033

* Mon Nov 30 2015 Lee Yarwood <lyarwood@redhat.com> 2014.2.3-41
- Multipath commands with error messages in stdout fail to parse - rhbz#1280359

* Mon Nov 30 2015 Radomir Dopieralski <openstack@sheep.art.pl> 2014.2.3-40
- Don't expect meta attributes in object_compat that aren't in the db
  object - rhbz#1272865

* Fri Nov 20 2015 Sahid Ferdjaoui <sferdjao@redhat.com> - 2014.2.3-39
- Provides set admin password feature to driver libvirt - rhbz#978365

* Thu Nov 19 2015 Matthew Booth <mbooth@redhat.com> 2014.2.3-38
- Fix code pep8 compliance - rhbz#1278411
- Add AggregateCoreFastFilter and AggregateRamFastFilter - rhbz#1276096

* Thu Nov 12 2015 Victor Stinner <vstinner@redhat.com> 2014.2.3-37
- Fix detach_sriov_ports to get context to be able to get image
  metadata - rhbz#1196054

* Wed Nov 11 2015 Pádraig Brady <pbrady@redhat.com> - 2014.2.3-36
- Ceph: fix rbd snapshotting - rhbz#1160405

* Tue Nov  3 2015 Matthew Booth <mbooth@redhat.com> - 2014.2.3-35
- Fix booting instance with volume larger than flavor - rhbz#1254901

* Mon Nov 02 2015 Lee Yarwood <lyarwood@redhat.com> 2014.2.3-34
- Fix multipath device discovery when UFN is enabled. rhbz#1206699

* Thu Oct 29 2015 Lee Yarwood <lyarwood@redhat.com> 2014.2.3-33
- Detach and terminate conn if Cinder attach fails
- Save bdm.connection_info before calling volume_api.attach_volume

* Tue Oct 13 2015 Eoghan Glynn <eglynn@redhat.com> 2014.2.3-32
- Fixes _cleanup_rbd code to capture ImageBusy exception - rhbz#1241613
- Add some tests for the error path(s) in RBD cleanup_volumes()

* Fri Oct  9 2015 Matthew Booth <mbooth@redhat.com> 2014.2.3-31
- Stop data copy on delete during migration - rhbz#1257393 (CVE-2015-3241)

* Thu Oct  8 2015 Matthew Booth <mbooth@redhat.com> 2014.2.3-30
- Delete orphaned instance files on delete during resize - rhbz#1264280
  (CVE-2015-3280)

* Tue Sep 15 2015 Nikola Đipanov <ndipanov@redhat.com> - 2014.2.3-29
- Fix live-migration between NUMA hosts - rhbz#1261154

* Thu Aug 27 2015 Sahid Ferdjaoui <sferdjao@redhat.com> - 2014.2.3-28
- Revert patch from bug 1183510 - rhbz#1254502

* Thu Aug 20 2015 Radomir Dopieralski <rdopiera@redhat.com> 2014.2.3-27
- Make pagination tolerate a deleted marker - rhbz#1250881

* Fri Aug 14 2015 Kashyap Chamarthy <kchamart@redhat.com> - 2014.2.3-26
- Fix rebuild of an instance with a volume attached - rhbz#1245752

* Wed Aug 05 2015 Sahid Ferdjaoui <sferdjao@redhat.com> - 2014.2.3-25
- Provide logging integration for guestfs - rhbz#1247638

* Wed Jul 29 2015 Pádraig Brady <pbrady@redhat.com> - 2014.2.3-24
- Support shrinking instances booted from volume - rhbz#1244222

* Fri Jul 24 2015 Pádraig Brady <pbrady@redhat.com> - 2014.2.3-23
- Fix use_syslog=True support - rhbz#1243776

* Fri Jul 24 2015 Daniel P. Berrange <berrange@redhat.com> 2014.2.3-22
- Fix neutron network setup after evacuate (rhbz#1230237)

* Fri Jul 17 2015 Sylvain Bauza <sbauza@redhat.com> 2014.2.3-21
- Reschedule queries to nova-scheduler after a timeout occurs - rhbz#1243945

* Tue Jul 14 2015 Eoghan Glynn <eglynn@redhat.com> 2014.2.3-20
- compute: stop handling virt lifecycle events in cleanup_host()- rhbz#1227893

* Wed Jun 17 2015 Sahid Ferdjaoui <sferdjao@redhat.com> - 2014.2.3-19
- Fix noVNC console access for an IPv6 setup - rhbz#1229669
- Fix issue when attaching swap volumes - rhbz#1228345

* Mon Jun 15 2015 Sahid Ferdjaoui <sferdjao@redhat.com> - 2014.2.3-18
- Fix quota in deleting when nova-compute startup finish - rhbz#1083525

* Thu Jun 11 2015 Matthew Booth <mbooth@redhat.com> - 2014.2.3-17
- Enable Hyper-V enlightenments for Windows guests - rhbz#1083525

* Tue Jun 09 2015 Nikola Đipanov <ndipanov@redhat.com> - 2014.2.3-16
- Make sure volume creation accounts for instance AZ - rhbz#1218686

* Tue Jun 09 2015 Sahid Ferdjaoui <sferdjao@redhat.com> - 2014.2.3-15
- Network: fix invalid network info cache - rhbz#1227352

* Tue Jun 02 2015 Sahid Ferdjaoui <sferdjao@redhat.com> - 2014.2.3-14
- package: fix startup race between libvirtd and nova-compute - rhbz#1222130

* Fri May 29 2015 Pádraig Brady <pbrady@redhat.com> - 2014.2.3-13
- libvirt: support overriding the disk driver IO policy - rhbz#1222661

* Mon May 04 2015 Pádraig Brady <pbrady@redhat.com> - 2014.2.3-12
- Ceph: use rbd snapshots and cloning for ephemeral disks - rhbz#1160405

* Mon May 04 2015 Sahid Ferdjaoui <sferdjao@redhat.com> - 2014.2.3-11
- Fix issue when trying to connect a console - rhbz#1217898

* Mon May 04 2015 Sahid Ferdjaoui <sferdjao@redhat.com> - 2014.2.3-10
- VMware: add VirtualVmxnet3 to the supported network types - rhbz#1211147

* Fri Apr 17 2015 Artom Lifshitz <alifshit@redhat.com> 2014.2.3-9
- Add requirement on device-mapper-multipath - rhbz#1212558

* Fri Apr 17 2015 Victor Stinner <vstinner@redhat.com> 2014.2.3-7
- Allow disabling the evacuate cleanup mechanism in compute manager - rhbz#1190706

* Thu Apr 16 2015 Sahid Ferdjaoui <sferdjao@redhat.com> - 2014.2.3-6
- Fix nova-compute fails to start when guest using passthrough  - rhbz#1206238

* Thu Apr 16 2015 Sahid Ferdjaoui <sferdjao@redhat.com> - 2014.2.3-5
- Fix race condition with the network cache - rhbz#1183510
- Fix Inconsistent info of availability zone - rhbz#1170242

* Thu Apr 16 2015 Pádraig Brady <pbrady@redhat.com> - 2014.2.3-4
- Fix nova 'vendor' definition, impacting subscription management - rhbz#1212509

* Wed Apr 15 2015 Pádraig Brady <pbrady@redhat.com> - 2014.2.3-3
- Clean instance's directory when block migration fails - rhbz#1196364

* Wed Apr 15 2015 Pádraig Brady <pbrady@redhat.com> - 2014.2.3-2
- Fix instance root disk size restriction with QCOW2 images - rhbz#1205808

* Tue Apr 14 2015 Victor Stinner <vstinner@redhat.com> 2014.2.3-1
- Update to upstream 2014.2.3 (rhbz#1210455):
- Fixes Hyper-V: configdrive is not migrated to destination
- Handle nova-network tuple format in legacy RPC calls
- fix the websocket_bad_token test
- Changed target version of NovaCompute object during Service backport
- libvirt: partial fix for live-migration with config drive
- libvirt: Fixes live migration for volume backed instances
- Don't create block device mappings in the API cell
- libvirt: make default value of numa cell memory to 0 when not defined
- Compute: catch more specific exception for _get_instance_nw_info
- Websocket Proxy should verify Origin header
- Fix kwargs['instance'] KeyError in @reverts_task_state decorator
- Stop stacktracing in _get_filter_uuid
- VMware: prevent exception with migrate_disk_and_power_off
- Handle MessagingException in unshelving instance
- Handle 404 in os-baremetal-nodes GET
- Compute: Catch binding failed exception while init host
- Make tests use sha256 as openssl default digest algorithm
- Transform IPAddress to string when creating port
- Fixes Hyper-V configdrive network injection issue
- Make code compatible with v4 auth and workaround webob bug.
- Fixes interfaces template identification issue
- Updated from global requirements
- libvirt: Make sure volumes are well detected during block migration
- Hyper-V: Fix retrieving console logs on live migration
- Bump stable/juno version to 2014.2.3
- Use reasonable timeout for rpc service_update()
- boot instance with same net-id for multiple --nic
- Fixes Hyper-V should log a clear error message
- Allow instances to attach to shared external nets
- Fix live migration RPC compatibility with older versions
- Support macvtap for vif_type being hw_veb
- VMware: fix exception when multiple compute nodes are running

* Mon Apr 13 2015 Sahid Ferdjaoui <sferdjao@redhat.com> - 2014.2.2-21
- Make compatible pci_passthrough_whitelist with icehouse - rhbz#1154737

* Thu Mar 26 2015 Eoghan Glynn <eglynn@redhat.com> - 2014.2.2-20
- Adjust log permissions to 0750 - rhbz#1163415

* Thu Mar 19 2015 Nikola Đipanov <ndipanov@redhat.com> - 2014.2.2-19
- Prevent stacktrace in the compute service due to PCI numa data - rhbz#1203182

* Fri Mar 13 2015 Matthew Booth <mbooth@redhat.com> 2014.2.2-18
- Websocket Proxy should verify Origin header - rhbz#1200203

* Thu Mar 12 2015 Sahid Orentino Ferdjaoui <sferdjao@redhat.com> 2014.2.2-17
- Enhance emulator threads when using dedicated cpus - rhbz#1190719

* Thu Mar 12 2015 Sylvain Bauza <sbauza@redhat.com> 2014.2.2-16
- Replace auth_version to v3.0 - rhbz#1198429

* Wed Mar 11 2015 Sylvain Bauza <sbauza@redhat.com> 2014.2.2-15
- Bump Keystone middleware auth_version to v3 - rhbz#1198429

* Wed Mar 11 2015 Sahid Orentino Ferdjaoui <sferdjao@redhat.com> 2014.2.2-14
- Enhance live migration monitoring support - rhbz#1175348

* Wed Mar 11 2015 Sahid Orentino Ferdjaoui <sferdjao@redhat.com> 2014.2.2-13
- Clean iSCSI volume multipath support - rhbz#1193737

* Tue Mar 10 2015 Pádraig Brady <pbrady@redhat.com> 2014.2.2-12
- support live migrations of config drives for vfat and with RBD - rhbz#1194073

* Tue Mar 10 2015 Sahid Orentino Ferdjaoui <sferdjao@redhat.com> 2014.2.2-11
- Enhance iSCSI volume multipath support - rhbz#1193737

* Mon Mar 09 2015 Nikola Đipanov <ndipanov@redhat.com> - 2014.2.2-10
- Fully handle PCI based NUMA scheduling/filtering - rhbz#1104926

* Mon Mar 09 2015 Sahid Orentino Ferdjaoui <sferdjao@redhat.com> 2014.2.2-9
- Support to boot instance with same net-id for multiple nic - rhbz#1171454

* Mon Mar 09 2015 Sahid Orentino Ferdjaoui <sferdjao@redhat.com> 2014.2.2-8
- Handling PCI based NUMA scheduling/filtering - rhbz#1104926

* Mon Mar 09 2015 Sahid Orentino Ferdjaoui <sferdjao@redhat.com> 2014.2.2-7
- Fix issue using macvtap - rhbz#1171989

* Mon Mar 09 2015 Sahid Orentino Ferdjaoui <sferdjao@redhat.com> 2014.2.2-6
- Fix a restart compute service issue - rhbz#1190582

* Mon Feb 23 2015 Sahid Orentino Ferdjaoui <sferdjao@redhat.com> 2014.2.2-5
- Revert PCIe NUMA scheduling and filtering - rhbz#1104926

* Mon Feb 16 2015 Sahid Orentino Ferdjaoui <sferdjao@redhat.com> 2014.2.2-3
- Add PCIe NUMA scheduling and filtering - rhbz#1104926

* Wed Feb 11 2015 Sahid Orentino Ferdjaoui <sferdjao@redhat.com> 2014.2.2-2
- Rebase to upstream 2014.2.2 - rhbz#1188388
 Fix issue when Eventlet green thread not release back to pool
 Fix image metadata type for key 'volume_glance_metadata'
 Provide support to set disk_type for GPFS volume
 Fix connecting iSCSI sessions issue
 Handling of BadRequest from Neutron
 Make ec2 auth support v4 signature format
 Fix deprecated issue with eventlet.util API
 Fix unshelving issue for volume backed
 Fix Neutron API issue with fixed_ip
 Fix disconnecting iSCSI sessions issue
 Fix Ironic issue when delete flavor
 Fix issue when add fixed IP to running instance
 Fix live migration issue when migrate to old compute node
 Extends use of ServiceProxy to more methods in HostAPI in cells
 Fix libvirt watchdog support with flavor property
 Use mask_password fix from oslo-incubator

* Tue Feb 03 2015 Pádraig Brady <pbrady@redhat.com> - 2014.2.1-16
- Fix injection of network interface template - rhbz#1165961

* Wed Jan 28 2015 Sahid Ferdjaoui <sferdjao@redhat.com> - 2014.2.1-15
- Fix NUMA topology requested from images - rhbz#1176544

* Thu Jan 22 2015 Sahid Ferdjaoui <sferdjao@redhat.com> - 2014.2.1-14
- Fix unicode error with flavor name - rhbz#1177298
- Fix error when resize a ceph backend volume - rhbz#1181571
- Improve corner cases for quota management - rhbz#1171108

* Wed Jan 21 2015 Sahid Ferdjaoui <sferdjao@redhat.com> - 2014.2.1-13
- Improves unit tests - rhbz#1181673

* Tue Jan 13 2015 Nikola Đipanov <ndipanov@redhat.com> - 2014.2.1-12
- Fix instance_id is always null when listing floating ips - rhbz#1177173

* Mon Jan 12 2015 Nikola Đipanov <ndipanov@redhat.com> - 2014.2.1-11
- Stability update related to rhbz#1174418

* Fri Jan 9 2015 Sahid Ferdjaoui <sferdjao@redhat.com> - 2014.2.1-10
- Fix outgoing version calculation for the live-migration methods - rhbz#1174418
- hardware: fix numa topology from image meta data - rhbz#1176544

* Thu Jan 8 2015 Pádraig Brady <pbrady@redhat.com> - 2014.2.1-9
- Support live migrations from RHOS 5 - rhbz#1174418

* Thu Dec 18 2014 Sahid O. Ferdjaoui <sferdjao@redhat.com> 2014.2.1-8
- Fix memory pinning nodes assignment
- Fix emulator threads assignment

* Wed Dec 17 2014 Nikola Đipanov <ndipanov@redhat.com> 2014.2.1-7
- Fix a single NUMA node cpu pinning scheduler issue - rhbz#1097987

* Mon Dec 15 2014 Nikola Đipanov <ndipanov@redhat.com> 2014.2.1-5
- Fix anti-affinity group checking on migration - rhbz#1157742

* Mon Dec 15 2014 Nikola Đipanov <ndipanov@redhat.com> 2014.2.1-4
- Backport of upstream huge-pages branch - rhbz#1057941

* Fri Dec 12 2014 Nikola Đipanov <ndipanov@redhat.com> 2014.2.1-3
- Remove use of oslo.serialization in backported code

* Thu Dec 11 2014 Nikola Đipanov <ndipanov@redhat.com> 2014.2.1-2
- Backport of upstream CPU pinning branch - rhbz#1097987

* Tue Dec 09 2014 Pádraig Brady <pbrady@redhat.com> - 2014.2.1-1
- Update to 2014.2.1 release (rhbz#1170341)

* Fri Oct 24 2014 Pádraig Brady <pbrady@redhat.com> - 2014.2-2
- Fix openstack-nova-serialproxy.service to call correct binary

* Mon Oct 20 2014 Alan Pevec <alan.pevec@redhat.com> 2014.2-1
- Juno release

* Mon Oct 20 2014 Pádraig Brady <pbrady@redhat.com> - 2014.2-0.8.rc2
- Split spicehtml5proxy to subpackage and use standard package service control
- Add novncproxy service to standard %%post package operation
- Add new Juno serialproxy service

* Sat Oct 11 2014 Alan Pevec <alan.pevec@redhat.com> 2014.2-0.7.rc2
- Update to upstream 2014.2.rc2

* Fri Oct 10 2014 Pádraig Brady <pbrady@redhat.com> - 2014.2-0.6rc1
- Ensure all services are restarted on upgrade

* Wed Oct 01 2014 Alan Pevec <alan.pevec@redhat.com> 2014.2-0.5rc1
- Update to upstream 2014.2.rc1

* Wed Sep 10 2014 Alan Pevec <apevec@redhat.com> 2014.2-0.3.b3
- Update to Juno-3 milestone

* Thu Aug 28 2014 Alan Pevec <apevec@redhat.com> 2014.2-0.2.b2
- use keystonemiddleware
- fix nova-api startup issue

* Sun Aug 03 2014  Vladan Popovic <vpopovic@redhat.com> 2014.2-0.1.b2
- Update to upstream 2014.2.b2
- openstack-nova-compute should depend on libvirt-daemon-kvm, not libvirt - rhbz#996715
- Use keystoneclient.middleware instead of keystonemiddleware

* Thu Jun 26 2014 Vladan Popovic <vpopovic@redhat.com> 2014.1.1-2
- Fixes rbd backend image size - rhbz#1112871

* Fri Jun 13 2014 Nikola Đipanov <ndipanov@redhat.com> 2014.1.1-1
- Update to latest stable/icehouse 2014.1.1 release

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2014.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Apr 17 2014 Vladan Popovic <vpopovic@redhat.com> 2014.1-0.16
- Update to upstream 2014.1

* Fri Apr 11 2014 Vladan Popovic <vpopovic@redhat.com> 2014.1-0.15.rc2
- Update to upstream 2014.1.rc2

* Tue Apr 01 2014 Vladan Popovic <vpopovic@redhat.com> 2014.1-0.14.rc1
- Update to upstream 2014.1.rc1
- Introduce new systemd-rpm macros in openstack-nova spec file - rhbz#850252
- Fix double logging when using syslog - rhbz#966050

* Wed Mar 19 2014 Vladan Popovic <vpopovic@redhat.com> - 2014.1-0.13.b3
- Update python.oslo.messaging requirement to 1.3.0-0.1.a4 - rhbz#1077860

* Fri Mar 07 2014 Vladan Popovic <vpopovic@redhat.com> - 2014.1-0.12.b3
- Update to Icehouse milestone 3

* Mon Feb 03 2014 Pádraig Brady <pbrady@redhat.com> - 2014.1-0.11.b2
- Avoid commented [DEFAULT] config issue in nova.conf

* Wed Jan 29 2014 Xavier Queralt <xqueralt@redhat.com> - 2014.1-0.10.b2
- Remove unneeded requirement on vconfig

* Wed Jan 29 2014 Xavier Queralt <xqueralt@redhat.com> - 2014.1-0.9.b2
- Add build requirement on python-six

* Mon Jan 27 2014 Xavier Queralt <xqueralt@redhat.com> - 2014.1-0.8.b2
- Fix the patch for CVE-2013-7130 which was not backported properly

* Fri Jan 24 2014 Xavier Queralt <xqueralt@redhat.com> - 2014.1-0.7.b2
- Restore pbr patch dropped in the last version by mistake

* Fri Jan 24 2014 Xavier Queralt <xqueralt@redhat.com> - 2014.1-0.6.b2
- Update to Icehouse milestone 2
- Require python-keystoneclient for api-paste - rhbz#909113
- Fix root disk leak in live migration - CVE-2013-7130

* Mon Jan 06 2014 Pádraig Brady <pbrady@redhat.com> - 2014.1-0.5.b1
- Avoid [keystone_authtoken] config corruption in nova.conf

* Mon Jan 06 2014 Pádraig Brady <pbrady@redhat.com> - 2014.1-0.4.b1
- Set python-six min version to ensure updated

* Tue Dec 17 2013 Pádraig Brady <pbrady@redhat.com> - 2014.1-0.3.b1
- Rotate log files by size rather than by age - rhbz#867747

* Mon Dec 16 2013 Xavier Queralt <xqueralt@redhat.com> - 2014.1-0.2.b1
- Add python-oslo-sphinx to build requirements

* Mon Dec 16 2013 Xavier Queralt <xqueralt@redhat.com> - 2014.1-0.1.b1
- Update to Icehouse milestone 1

* Tue Dec 03 2013 Xavier Queralt <xqueralt@redhat.com> - 2013.2-4
- Fix the CVE number references from the latest change

* Mon Nov 18 2013 Xavier Queralt <xqueralt@redhat.com> - 2013.2-3
- Remove cert and scheduler hard dependency on cinderclient - rhbz#1031679
- Require ipmitool for baremetal driver - rhbz#1022243
- Ensure we don't boot oversized images (CVE-2013-4463 and CVE-2013-2096)

* Wed Oct 23 2013 Xavier Queralt <xqueralt@redhat.com> - 2013.2-2
- Depend on python-oslo-config >= 1:1.2.0 so it gets upgraded automatically - rhbz#1014835
- remove signing_dir from nova-dist.conf to use the default - rhbz#957485
- Require bridge-utils on nova-compute package - rhbz#1009065

* Thu Oct 17 2013 Xavier Queralt <xqueralt@redhat.com> - 2013.2-1
- Update to Havana final

* Tue Oct 15 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.2-0.26.rc2
- Update to Havana rc1

* Thu Oct 03 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.2-0.23.rc1
- Update to Havana rc1

* Thu Sep 12 2013 Pádraig Brady <pbrady@redhat.com> - 2013.2-0.20.b3
- Depend on genisoimage to support creating guest config drives

* Mon Sep 09 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.2-0.19.b3
- Fix compute_node_get_all() for Nova Baremetal

* Mon Sep 09 2013 Pádraig Brady <pbrady@redhat.com> - 2013.2-0.18.b3
- Avoid deprecated options in distribution config files

* Mon Sep 09 2013 Dan Prince <dprince@redhat.com> - 2013.2-0.17.b3
- Add dependency on python-babel
- Add dependency on python-jinja2

* Mon Sep 09 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.2-0.16.b3
- Update to Havana milestone 3

* Tue Aug 27 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.2-0.15.b2
- Fix the tarball download link (SOURCE0)

* Tue Aug 27 2013 Xavier Queralt <xqueralt@redhat.com> - 2013.2-0.14.b2
- Set auth_version=v2.0 in nova-dist.conf to avoid http://pad.lv/1154809

* Tue Aug 27 2013 Xavier Queralt <xqueralt@redhat.com> - 2013.2-0.13.b2
- Remove Folsom release deprecated config options from nova-dist.conf

* Tue Aug 27 2013 Xavier Queralt <xqueralt@redhat.com> - 2013.2-0.12.b2
- Add the second dhcpbridge-flagfile to nova-dist.conf

* Tue Aug 27 2013 Xavier Queralt <xqueralt@redhat.com> - 2013.2-0.11.b2
- Change the default config to poll for DB connection indefinitely

* Wed Aug 07 2013 Xavier Queralt <xqueralt@redhat.com> - 2013.2-0.10.b2
- Create a nova-dist.conf file with default values under /usr/share

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2013.2-0.9.b2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 Pádraig Brady <pbrady@redhat.com> - 2013.2-0.8.b2
- Update to Havana milestone 2

* Mon Jun 24 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.2-0.6.b1
- Add the novncproxy subpackage (moved from the novnc package)

* Mon Jun 24 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.2-0.4.h1
- Remove requirements file to be more flexible with dep versions

* Fri Jun 14 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.2-0.3.h1
- Fix an issue with the version string

* Mon Jun 10 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.2-0.2.h1
- Add a runtime dep on python-six
- Fix verision reporting

* Fri Jun 07 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.2-0.1.h1
- Update to Havana milestone 1
- Add a build-time dep on python-d2to1
- Add a build-time dep on python-pbr

* Fri May 17 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.1-2
- Check QCOW2 image size during root disk creation (CVE-2013-2096)

* Mon May 13 2013 Pádraig Brady <pbrady@redhat.com> - 2013.1.1-1
- Update to stable/grizzly 2013.1.1 release

* Fri May 10 2013 Pádraig Brady <pbrady@redhat.com> - 2013.1-3
- Make openstack-nova-network depend on ebtables #961567

* Thu Apr 11 2013 Pádraig Brady <pbrady@redhat.com> - 2013.1-2
- Fix nova network dnsmasq invocation failure #951144

* Mon Apr 08 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.1-1
- Update to Grizzly final

* Tue Apr 02 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.1-0.12.rc2
- Update to Grizzly rc2

* Fri Mar 22 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.1-0.11.rc1
- Update to Grizzly rc1

* Wed Mar 20 2013 Pádraig Brady - 2013.1-0.10.g3
- Remove /etc/tgt/conf.d/nova.conf which was invalid for grizzly

* Tue Mar 12 2013 Pádraig Brady - 2013.1-0.9.g3
- Allow openstack-nova-doc to be installed in isolation

* Thu Feb 28 2013 Dan Prince <dprince@redhat.com> - 2013.1-0.8.g3
- Use LIBGUESTFS_ATTACH_METHOD=appliance to allow injection to work

* Tue Feb 26 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.1-0.7.g3
- Fix dependency issues caused by the Milestone 3 update

* Mon Feb 25 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.1-0.6.g3
- Update to Grizzly milestone 3

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2013.1-0.5.g2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 11 2013 Nikola Đipanov <ndipanov@redhat.com> - 2013.1-0.4.g2
- Update to Grizzly milestone 2
- Add the version info file
- Add python-stevedore dependency
- Add the cells subpackage and service file

* Thu Dec 06 2012 Nikola Đipanov <ndipanov@redhat.com> - 2013.1-0.3.g1
- signing_dir renamed from incorrect signing_dirname in default nova.conf

* Thu Nov 29 2012 Nikola Đipanov <ndipanov@redhat.com> 2013.1-0.2.g1
-Fix a few spec file issues introduced by the Grizzly update

* Wed Nov 28 2012 Nikola Đipanov <ndipanov@redhat.com> 2013.1-0.1.g1
- Update to Grizzly milestone 1
- Remove volume subpackage - removed from Grizzly
- Add the conductor subpackage - new service added in Grizzly
- Depend on python-libguestfs instead of libguestfs-mount
- Don't add the nova user to the group fuse
- Removes openstack-utils from requirements for nova-common

* Thu Sep 27 2012 Pádraig Brady <pbrady@redhat.com> - 2012.2-1
- Update to folsom final

* Wed Sep 26 2012 Pádraig Brady <pbrady@redhat.com> - 2012.2-0.11.rc1
- Support newer polkit config format to allow communication with libvirtd
- Fix to ensure that tgt configuration is honored

* Fri Sep 21 2012 Pádraig Brady <pbrady@redhat.com> - 2012.2-0.8.rc1
- Update to folsom rc1

* Mon Sep 17 2012 Alan Pevec <apevec@redhat.com> - 2012.2-0.7.f3
- Remove user config from paste ini files

* Mon Aug 27 2012 Pádraig Brady <P@draigBrady.com> - 2012.2-0.6.f3
- Update to folsom milestone 3

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2012.2-0.4.f1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 08 2012 Pádraig Brady <P@draigBrady.com> - 2012.2-0.3.f1
- Enable libguestfs image inspection

* Wed Jun 06 2012 Pádraig Brady <P@draigBrady.com> - 2012.2-0.2.f1
- Fix up protocol case handling for security groups (CVE-2012-2654)

* Tue May 29 2012 Pádraig Brady <P@draigBrady.com> - 2012.2-0.1.f1
- Update to folsom milestone 1

* Wed May 16 2012 Alan Pevec <apevec@redhat.com> - 2012.1-6
- Remove m2crypto and other dependencies no loner needed by Essex

* Wed May 16 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-5
- Sync up with Essex stable branch
- Handle updated qemu-img info output
- Remove redundant and outdated openstack-nova-db-setup

* Wed May 09 2012 Alan Pevec <apevec@redhat.com> - 2012.1-4
- Remove the socat dependency no longer needed by Essex

* Fri Apr 27 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-3
- Reference new Essex services at installation

* Wed Apr 18 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-2
- Sync up with Essex stable branch
- Support more flexible guest image file injection
- Enforce quota on security group rules (#814275, CVE-2012-2101)
- Provide startup scripts for the Essex VNC services
- Provide a startup script for the separated metadata api service

* Sun Apr  8 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-1
- Update to Essex release

* Thu Mar 29 2012 Russell Bryant <rbryant@redhat.com> 2012.1-0.10.rc1
- Remove the outdated nova-debug tool
- CVE-2012-1585 openstack-nova: Long server names grow nova-api log files significantly

* Mon Mar 26 2012 Mark McLoughlin <markmc@redhat.com> - 2012.1-0.9.rc1
- Avoid killing dnsmasq on network service shutdown (#805947)

* Tue Mar 20 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-0.8.rc1
- Update to Essex release candidate 1

* Fri Mar 16 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-0.8.e4
- Include an upstream fix for errors logged when syncing power states
- Support non blocking libvirt operations
- Fix an exception when querying a server through the API (#803905)
- Suppress deprecation warnings with db sync at install (#801302)
- Avoid and cater for missing libvirt instance images (#801791)

* Tue Mar  6 2012 Alan Pevec <apevec@redhat.com> - 2012.1-0.7.e4
- Fixup permissions on nova config files

* Tue Mar  6 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-0.6.e4
- Depend on bridge-utils
- Support fully transparent handling of the new ini config file

* Fri Mar  2 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-0.5.e4
- Update to Essex milestone 4.
- explicitly select the libvirt firewall driver in default nova.conf.
- Add dependency on python-iso8601.
- Enable --force_dhcp_release.
- Switch to the new ini format config file.

* Mon Feb 13 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-0.4.e3
- Support --force_dhcp_release (#788485)

* Thu Feb  2 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-0.3.e3
- Suppress a warning from `nova-manage image convert`
- Add the openstack-nova-cert service which now handles the CA folder
- Change the default message broker from rabbitmq to qpid
- Enable the new rootwrap helper, to minimize sudo config

* Fri Jan 27 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-0.2.e3
- Suppress erroneous output to stdout on package install (#785115)
- Specify a connection_type in nova.conf, needed by essex-3
- Depend on python-carrot, currently needed by essex-3
- Remove the rabbitmq-server dependency as it's now optional
- Have python-nova depend on the messaging libs, not openstack-nova

* Thu Jan 26 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-0.1.e3
- Update to essex milestone 3

* Mon Jan 23 2012 Pádraig Brady <P@draigBrady.com> - 2011.3.1-2
- Fix a REST API v1.0 bug causing a regression with deltacloud

* Fri Jan 20 2012 Pádraig Brady <P@draigBrady.com> - 2011.3.1-1
- Update to 2011.3.1 release
- Allow empty mysql root password in mysql setup script
- Enable mysqld at boot in mysql setup script

* Wed Jan 18 2012 Mark McLoughlin <markmc@redhat.com> - 2011.3.1-0.4.10818%{?dist}
- Update to latest 2011.3.1 release candidate
- Re-add nova-{clear-rabbit-queues,instance-usage-audit}

* Tue Jan 17 2012 Mark McLoughlin <markmc@redhat.com> - 2011.3.1-0.3.10814
- nova-stack isn't missing after all

* Tue Jan 17 2012 Mark McLoughlin <markmc@redhat.com> - 2011.3.1-0.2.10814
- nova-{stack,clear-rabbit-queues,instance-usage-audit} temporarily removed because of lp#917676

* Tue Jan 17 2012 Mark McLoughlin <markmc@redhat.com> - 2011.3.1-0.1.10814
- Update to 2011.3.1 release candidate
- Only adds 4 patches from upstream which we didn't already have

* Wed Jan 11 2012 Pádraig Brady <P@draigBrady.com> - 2011.3-19
- Fix libguestfs support for specified partitions
- Fix tenant bypass by authenticated users using API (#772202, CVE-2012-0030)

* Fri Jan  6 2012 Mark McLoughlin <markmc@redhat.com> - 2011.3-18
- Fix up recent patches which don't apply

* Fri Jan  6 2012 Mark McLoughlin <markmc@redhat.com> - 2011.3-17
- Backport tgtadm off-by-one fix from upstream (#752709)

* Fri Jan  6 2012 Mark McLoughlin <markmc@redhat.com> - 2011.3-16
- Rebase to latest upstream stable/diablo, pulling in ~50 patches

* Fri Jan  6 2012 Mark McLoughlin <markmc@redhat.com> - 2011.3-15
- Move recent patches into git (no functional changes)

* Fri Dec 30 2011 Pádraig Brady <P@draigBrady.com> - 2011.3-14
- Don't require the fuse group (#770927)
- Require the fuse package (to avoid #767852)

* Wed Dec 14 2011 Pádraig Brady <P@draigBrady.com> - 2011.3-13
- Sanitize EC2 manifests and image tarballs (#767236, CVE 2011-4596)
- update libguestfs support

* Tue Dec 06 2011 Russell Bryant <rbryant@redhat.com> - 2011.3-11
- Add --yes, --rootpw, and --novapw options to openstack-nova-db-setup.

* Wed Nov 30 2011 Pádraig Brady <P@draigBrady.com> - 2011.3-10
- Add libguestfs support

* Tue Nov 29 2011 Pádraig Brady <P@draigBrady.com> - 2011.3-9
- Update the libvirt dependency from 0.8.2 to 0.8.7
- Ensure we don't access the net when building docs

* Tue Nov 29 2011 Russell Bryant <rbryant@redhat.com> - 2011.3-8
- Change default database to mysql. (#735012)

* Mon Nov 14 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-7
- Add ~20 significant fixes from upstream stable branch

* Wed Oct 26 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-6
- Fix password leak in EC2 API (#749385, CVE 2011-4076)

* Mon Oct 24 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-5
- Fix block migration (#741690)

* Mon Oct 17 2011 Bob Kukura <rkukura@redhat.com> - 2011.3-4
- Add dependency on python-amqplib (#746685)

* Wed Sep 28 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-3
- Fix lazy load exception with security groups (#741307)
- Fix issue with nova-network deleting the default route (#741686)
- Fix errors caused by MySQL connection pooling (#741312)

* Mon Sep 26 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-2
- Manage the package's patches in git; no functional changes.

* Thu Sep 22 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-1
- Update to Diablo final.
- Drop some upstreamed patches.
- Update the metadata-accept patch to what's proposed for essex.
- Switch rpc impl from carrot to kombu.

* Mon Sep 19 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-0.10.d4
- Use tgtadm instead of ietadm (#737046)

* Wed Sep 14 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-0.9.d4
- Remove python-libguestfs dependency (#738187)

* Mon Sep  5 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-0.8.d4
- Add iptables rule to allow EC2 metadata requests (#734347)

* Sat Sep  3 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-0.7.d4
- Add iptables rules to allow requests to dnsmasq (#734347)

* Wed Aug 31 2011 Angus Salkeld <asalkeld@redhat.com> - 2011.3-0.6.d4
- Add the one man page provided by nova.
- Start services with --flagfile rather than --flag-file (#735070)

* Tue Aug 30 2011 Angus Salkeld <asalkeld@redhat.com> - 2011.3-0.5.d4
- Switch from SysV init scripts to systemd units (#734345)

* Mon Aug 29 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-0.4.d4
- Don't generate root CA during %%post (#707199)
- The nobody group shouldn't own files in /var/lib/nova
- Add workaround for sphinx-build segfault

* Fri Aug 26 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-0.3.d4
- Update to diablo-4 milestone
- Use statically assigned uid:gid 162:162 (#732442)
- Collapse all sub-packages into openstack-nova; w/o upgrade path
- Reduce use of macros
- Rename stack to nova-stack
- Fix openssl.cnf.tmpl script-without-shebang rpmlint warning
- Really remove ajaxterm
- Mark polkit file as %%config

* Mon Aug 22 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-0.2.1449bzr
- Remove dependency on python-novaclient

* Wed Aug 17 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-0.1.1449bzr
- Update to latest upstream.
- nova-import-canonical-imagestore has been removed
- nova-clear-rabbit-queues was added

* Tue Aug  9 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-0.2.1409bzr
- Update to newer upstream
- nova-instancemonitor has been removed
- nova-instance-usage-audit added

* Tue Aug  9 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-0.1.bzr1130
- More cleanups
- Change release tag to reflect pre-release status

* Wed Jun 29 2011 Matt Domsch <mdomsch@fedoraproject.org> - 2011.3-1087.1
- Initial package from Alexander Sakhnov <asakhnov@mirantis.com>
  with cleanups by Matt Domsch
